/*


	Word Selection Procedures


*/


%========================================================
% CHOOSE_VERB Randomly From a given usage class of verbs.
%
%
% TODO: Add verb modifiers like "desperately". And
%   a broadly scoped swtich to turn them on an off.
%
%========================================================
choose_verb(Usage_Class,V) :-
	!, 
	findall(X,	(descendant(verb,X),
			lookup(roles,X,Usages),
			member(Usage_Class,Usages)),
		Verbs),
	length(Verbs,L),
	random(1,L,R),
        mem(Verbs,[R],V).



%=======================================================
%=======================================================
get_pronoun(Object,Case,Pronoun) :-
	(string(Object)
		 -> atom_string(FrameName,Object) 
		 ;  FrameName = Object),
	lookup(gender,FrameName,G),!,
	pronoun(2,Case,G,Pronoun).
